Bug 450517 - Total system freeze when coming out of screensaver
Total system freeze when coming out of screensaver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 07:48 EDT by Tim Wegener
Modified: 2009-01-09 01:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:34:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from session that froze (41.23 KB, text/plain)
2008-06-09 07:49 EDT, Tim Wegener
no flags Details

  None (edit)
Description Tim Wegener 2008-06-09 07:48:51 EDT
Description of problem:
I am running KDE. The screensaver was on due to idle (Flux GL screensaver). When
I pressed a key the system completely froze. It did not respond to ctrl-alt-f1
,ctrl-alt-backspace, ctrl-alt-del. I had to turn it off and on again. 

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-44.fc8
xorg-x11-drv-i810-2.1.1-7.fc8
kdebase-3.5.9-7.fc8
kernel-2.6.25.4-10.fc8

$ rpm -qa |grep -i save
libXScrnSaver-1.1.2-3.fc8
kpowersave-0.7.3-3.fc8

How reproducible:
Intermittent. 

Steps to Reproduce:
1. Set screensaver to Flux (GL) in KDE Control Center
2. Wait for screensaver to kick in.
3. Press a key to return to session.
  
Actual results:
The screensaver froze (a password prompt was not issued).
Normally this works, but just now it froze my system completely. 

Expected results:
Prompt for password to unlock screensaver. 

Additional info:
HP 6710b laptop with Intel GM965 chipset and X3100 integrated graphics. 1 GB RAM.
Comment 1 Tim Wegener 2008-06-09 07:49:59 EDT
Created attachment 308677 [details]
Xorg log from session that froze
Comment 2 Tim Wegener 2008-06-09 07:53:16 EDT
kdeartwork-3.5.9-1.fc8
Comment 3 Matěj Cepl 2008-06-10 05:14:57 EDT
Do you have by chance another computer, so you could find out whether really the
computer is dead, or just xorg? Or if you would be able and willing to
investigate a little bit more with recipes on
http://xorg.freedesktop.org/wiki/Development/Documentation/ServerDebugging it
would be awesome.
Comment 4 Tim Wegener 2008-06-15 10:49:06 EDT
It happened again. I ssh'd in and found that the screensaver process (can't
remember exact process name, something .kss) was using 100% CPU). I killed the
process from the remote machine and then system came back. 
Comment 5 Matěj Cepl 2008-06-15 15:17:42 EDT
OK, then (surprisingly ;)) Xorg is not to be blamed in this case, reassigning
back to KDE.
Comment 6 Ngo Than 2008-06-17 11:54:41 EDT
could you please try other openGL apps (none KDE apps) and see if you have the
same problem?

Thanks
Comment 7 Tim Wegener 2008-06-18 12:37:10 EDT
Do you mean openGL screensavers, or just apps in general?

foobillard, quake3, tremulous, machineball, supertuxkart all seem to work fine
without crashing. 

I have had problems with extremetuxracer crashing X; see
https://bugzilla.redhat.com/show_bug.cgi?id=448278
Comment 8 Tim Wegener 2008-06-25 10:23:55 EDT
Had exactly the same problem with the Solar Winds screen saver.
Comment 9 Bug Zapper 2008-11-26 05:50:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:34:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.